Subject: Re: bug#12463: 24.2; pos-visible-in-window-p gets slower over time

From: Chong Yidong <[email-masked]>
Date: Sun, 23 Sep 2012 17:17:26 +0800

Juanma Barranquero <[email-masked]> writes:

> On Sat, Sep 22, 2012 at 10:20 PM, Stefan Monnier
> <[email-masked]> wrote:
>
>> In the case of dynamic-library-alist it seems it's never let-bound, so
>> it's probably better to access it directly as a global var, rather than
>> pass it as a parameter.
>
> I'd be very surprised to find that someone ever let-bound
> dynamic-library-alist. I'd bet that anyone who ever needed to use a
> non-standard value (assuming someone did) just assigned it on .emacs.

OK, I've removed the LIBRARIES arguments, so that the dynamic loading
code always uses dynamic-library-alist.